[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Dialogs' (#lcl)

# TFileDialog.OnTypeChange

Event handler signalled when the selected file type or filter index is changed.

## Declaration

Source position: dialogs.pp line 180

`published property TFileDialog.OnTypeChange : TNotifyEvent read FOnTypeChange write FOnTypeChange;`

## Description

Used at run-time when the FilterIndex value is changed in a widgetset class. The Sender argument is the dialog instance for the event notification.

## See also

TNotifyEvent